Debian Bug report logs - #335185
ITP: newmat -- manipulate matrices using standard operations

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Philippe COVAL <philippe.coval@laposte.net>

Date: Sat, 22 Oct 2005 13:18:04 UTC

Owned by: philippe coval <philippe.coval@laposte.net>

Severity: wishlist

Fixed in version newmat/1.10.3-1

Done: Philippe Coval <rzr@users.sf.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: newmat -- manipulate matrices using standard operations
Date: Sat, 22 Oct 2005 15:08:43 +0200
Package: wnpp
Severity: wishlist
Owner: Philippe COVAL <philippe.coval@laposte.net>


* Package name    : newmat
  Version         : 1.10.0b (upstream version 10b)
  Upstream Author : Robert Davies <robert@statsresearch.co.nz>
* URL             : http://www.robertnz.net
* License         : Custom license (looks like public domain to me)
  Description     : manipulate matrices using standard operations

 The package is intended for scientists and engineers 
 who need to manipulate a variety of types of matrices 
 using standard matrix operations.
 Emphasis is on the kind of operations needed in statistical calculations
 such as least squares, linear equation solve and eigenvalues.

For more details on this package inclusion in debian, check my log at 
http://rzr.online.fr/q/MathsSoftware

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13.4-k7-amiloa
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Willi Mann <willi@wm1.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #10 received at 335185@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
Cc: 335185@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 11:14:06 +0200
> * License         : Custom license (looks like public domain to me)

I think this is wrong.

The readme file states:

> This library is freeware and may be freely used and distributed.

This fails DFSG, paragraph 3.

Willi



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #15 received at 335185@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: debian-devel@lists.debian.org, 335185@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 12:53:17 +0200
[Message part 1 (text/plain, inline)]
On Sun, Oct 23, 2005 at 11:14:06AM +0200, Willi Mann wrote:

> >* License         : Custom license (looks like public domain to me)
> I think this is wrong.
> The readme file states:
> >This library is freeware and may be freely used and distributed.
> This fails DFSG, paragraph 3.

I think the readme is just unclear.

In http://www.robertnz.net/nm10.htm#use I read:

  There are no restrictions on the use of newmat except that I take no
  liability for any problems that may arise from this use.
  
  I welcome its distribution as part of low cost CD-ROM collections.
  
  You can use it in your commercial projects. However, if you distribute
  the source, please make it clear which parts are mine and that they are
  available essentially for free over the Internet. 

So it appears that the author is happy about modifications and
redistribution, and probably has it in his own interpretation of
freeware.

Maybe he can be talked into removing the ambiguity and formalizing it in
a clearer existing license?  Looks like he's wanting a BSD one.


Ciao,

Enrico

--
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #20 received at 335185@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Enrico Zini <enrico@enricozini.org>
Cc: debian-devel@lists.debian.org, 335185@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 08:11:43 -0400
[Message part 1 (text/plain, inline)]
hi,

On Sun, Oct 23, 2005 at 12:53:17PM +0200, Enrico Zini wrote:
> So it appears that the author is happy about modifications and
> redistribution, and probably has it in his own interpretation of
> freeware.
> 
> Maybe he can be talked into removing the ambiguity and formalizing it in
> a clearer existing license?  Looks like he's wanting a BSD one.

from the excerpt you provided, i think that text is quite clear already.
nothing wrong with formalizing the license, but i don't see any reason
why the code as-is can't be in debian (though i could understand that 
ftp-masters might drag their feet for a bit on accepting a non-standard
license).


	sean
[signature.asc (application/pgp-signature, inline)]

Message sent on to Philippe COVAL <philippe.coval@laposte.net>:
Bug#335185. Full text and rfc822 format available.

Message #23 received at 335185-submitter@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
Cc: 335185-submitter@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 15:17:37 +0200
>>So it appears that the author is happy about modifications and
>>redistribution, and probably has it in his own interpretation of
>>freeware.
..
> from the excerpt you provided, i think that text is quite clear already.

I disagree. Where does the author say that you may modify it? I don't 
think the term

> You can use it in your commercial projects.

can be interpreted as "you are allowed to distribute modifications". It 
might be his intention, but it's not written down.

I too recommend to ask the author to relicense the package under BSD or 
LGPL. He should also be asked to put the license in a file called 
"LICENSE" in the package, not only on the homepage.

Willi



Message sent on to Philippe COVAL <philippe.coval@laposte.net>:
Bug#335185. Full text and rfc822 format available.

Message #26 received at 335185-submitter@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Willi Mann <willi@wm1.at>
Cc: debian-devel@lists.debian.org, 335185-submitter@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 09:44:58 -0400
[Message part 1 (text/plain, inline)]
On Sun, Oct 23, 2005 at 03:17:37PM +0200, Willi Mann wrote:
> I disagree. Where does the author say that you may modify it? I don't 
> think the term
> 
> > You can use it in your commercial projects.
> 
> can be interpreted as "you are allowed to distribute modifications". It 
> might be his intention, but it's not written down.

quoting the license text i read:

>There are no restrictions on the use of newmat except that I take no
>liability for any problems that may arise from this use.
>
>I welcome its distribution as part of low cost CD-ROM collections.
>
>You can use it in your commercial projects. However, if you
>distribute the source, please make it clear which parts are mine and that
>they are available essentially for free over the Internet.

i felt that "no restrictions on the use", plus "if you distribute
the source, please make it clear which parts are mine" was enough to
imply that "use" was meant to include "modification".  perhaps having
that spelled out explicitly would be better after all.


	sean


-- 
[signature.asc (application/pgp-signature, inline)]

Message sent on to Philippe COVAL <philippe.coval@laposte.net>:
Bug#335185. Full text and rfc822 format available.

Message #29 received at 335185-submitter@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
To: sean finney <seanius@debian.org>
Cc: debian-devel@lists.debian.org, 335185-submitter@bugs.debian.org
Subject: Re: Bug#335185: ITP: newmat -- manipulate matrices using standard operations
Date: Sun, 23 Oct 2005 16:21:34 +0200
> i felt that "no restrictions on the use", plus "if you distribute
> the source, please make it clear which parts are mine" was enough to
> imply that "use" was meant to include "modification".  

We should not accept software in debian based in speculations. When it 
comes to software licenses, you should always think of the bad (worst) 
interpretations, otherwise you have high risk to end up in a courtroom.

> perhaps having that spelled out explicitly would be better after all.

s/perhaps//
s/would be better/is neccessary/,
then I agree.

Willi



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Message #32 received at 335185@bugs.debian.org (full text, mbox):

From: Kai Hendry <hendry@iki.fi>
To: 335185@bugs.debian.org
Subject: Matrices
Date: Mon, 24 Oct 2005 10:24:22 +1000
There is already R for manipulating matrices:

http://packages.qa.debian.org/r/r-base.html

Why use another?



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #37 received at 335185@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@debian.org>
To: 335185@bugs.debian.org, Kai Hendry <hendry@iki.fi>
Subject: Re: Bug#335185: Matrices
Date: Sun, 23 Oct 2005 21:14:35 -0500
On Mon, 2005-10-24 at 10:24 +1000, Kai Hendry wrote:
> There is already R for manipulating matrices:

> Why use another?

Alternatives?

--
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
                   <damog@debian.org>  |          GPG: C671257D
  "Pues aquí, echando la weba: Es la vida del filósofo". -Polo




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #42 received at 335185@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: philippe coval <philippe.coval@laposte.net>, Willi Mann <willi@wm1.at>, Enrico Zini <enrico@enricozini.org>, sean finney <seanius@debian.org>, Kai Hendry <hendry@iki.fi>, David Moreno Garza <damog@debian.org>
Cc: 335185@bugs.debian.org
Subject: ITP: newmat -- manipulate matrices using standard operations
Date: Mon, 24 Oct 2005 21:53:47 -0500
Hi Philippe, (and hi everybody who chimed in)

Thank you for your ITP on newmat.

I am a past user of newmat ("way back when" in graduate school; this even
lead to a small publication of a newmat/g++ review from 1996 that is still
referenced from the newmat documentation) and feel compelled to comment on
some of the feedback you received for the ITP, and the perceived license
issues.

Let me add that I had quite a few email exchanges back then with newmat's
author. Based on the fairly regular contact I had with him, there is no doubt
in my mind that Robert would a) welcome inclusion of newmat in Debian, and b)
consider newmat to be obviously open source. See below -- he even grants
commercial rights and simply requests a) attribution of authorship, and b)
that alternate "essentially free" sources for the same code are mentioned. In
my book, this is pretty close to the spirit of the GPL/LGPL (but kept a lot
shorter and simpler).

So if it really came to a "confration" about this -- which I unfortunately
cannot exclude given some of the prior comments in this thread -- then
someone from Debian -- maybe you, or maybe someone with a tad more experience
from debian-legal -- should send a polite, concise and well written email
letter to Robert with suggestions for a clarified license.  That could
potentially help.  However, it is my understanding that the license as
re-printed in the docs is suitable for our use. For sake of argument, I
reprint it below replacing the website's bold face with upper case letters.

Hence, and to move this forward: if someone like Willi has any objections to
the license, I would kindly request that he/she quote clearly the paragraph
that is questioned, and preferably back up with references to other
discussions hpw any of this would in fact be in conflict with our
philosophies and license interpretations.

Thanks,  Dirk


From the newmat10 manual:
-----------------------------------------------------------------------------
1.1 Conditions of use

next - skip - up - start

There are no restrictions on the use of newmat except that I take no
liability for any problems that may arise from this use.

I welcome its distribution as part of low cost CD-ROM collections.

You can use it in your commercial projects. However, if you distribute the
source, please make it clear which parts are mine and that they are available
essentially for free over the Internet.

PLEASE UNDERSTAND THAT THERE MAY STILL BE BUGS AND ERRORS. USE AT YOUR OWN
RISK. I TAKE NO RESPONSIBILITY FOR ANY ERRORS OR OMISSIONS IN THIS PACKAGE OR
FOR ANY MISFORTUNE THAT MAY BEFALL YOU OR OTHERS AS A RESULT OF ITS USE.

Please report bugs to me at robert (at) statsresearch.co.nz

When reporting a bug please tell me which C++ compiler you are using, and
what version. Also give me details of your computer. And tell me which
version of newmat (e.g. newmat03 or newmat04) you are using. Note any changes
you have made to my code. If at all possible give me a piece of code
illustrating the bug. See the problem report form.

Please do report bugs to me. 
-----------------------------------------------------------------------------

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #47 received at 335185@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: 335185@bugs.debian.org
Subject: OSI approved free licence
Date: Tue, 25 Oct 2005 09:25:20 +0200
[Message part 1 (text/plain, inline)]
I just suggested to Robert to select one OSI approved free licence.
BTW, I will continue to cook the package...

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #52 received at 335185@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@debian.org>
To: debian-legal@lists.debian.org
Cc: 335185@bugs.debian.org, Kai Hendry <hendry@iki.fi>, sean finney <seanius@debian.org>, Enrico Zini <enrico@enricozini.org>, Willi Mann <willi@wm1.at>, philippe coval <philippe.coval@laposte.net>
Subject: [Fwd: ITP: newmat -- manipulate matrices using standard operations]
Date: Tue, 25 Oct 2005 14:48:14 -0500
[Message part 1 (text/plain, inline)]
Forwarding from a wnpp bug.

debian-legal is the best place for discussing this.

--
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
                   <damog@debian.org>  |          GPG: C671257D
  Cuando yo nací, la tierra tembló.
[Message part 2 (message/rfc822, inline)]
From: Dirk Eddelbuettel <edd@debian.org>
To: philippe coval <philippe.coval@laposte.net>, Willi Mann <willi@wm1.at>, Enrico Zini <enrico@enricozini.org>, sean finney <seanius@debian.org>, Kai Hendry <hendry@iki.fi>, David Moreno Garza <damog@debian.org>
Cc: 335185@bugs.debian.org
Subject: ITP: newmat -- manipulate matrices using standard operations
Date: Mon, 24 Oct 2005 21:53:47 -0500
Hi Philippe, (and hi everybody who chimed in)

Thank you for your ITP on newmat.

I am a past user of newmat ("way back when" in graduate school; this even
lead to a small publication of a newmat/g++ review from 1996 that is still
referenced from the newmat documentation) and feel compelled to comment on
some of the feedback you received for the ITP, and the perceived license
issues.

Let me add that I had quite a few email exchanges back then with newmat's
author. Based on the fairly regular contact I had with him, there is no doubt
in my mind that Robert would a) welcome inclusion of newmat in Debian, and b)
consider newmat to be obviously open source. See below -- he even grants
commercial rights and simply requests a) attribution of authorship, and b)
that alternate "essentially free" sources for the same code are mentioned. In
my book, this is pretty close to the spirit of the GPL/LGPL (but kept a lot
shorter and simpler).

So if it really came to a "confration" about this -- which I unfortunately
cannot exclude given some of the prior comments in this thread -- then
someone from Debian -- maybe you, or maybe someone with a tad more experience
from debian-legal -- should send a polite, concise and well written email
letter to Robert with suggestions for a clarified license.  That could
potentially help.  However, it is my understanding that the license as
re-printed in the docs is suitable for our use. For sake of argument, I
reprint it below replacing the website's bold face with upper case letters.

Hence, and to move this forward: if someone like Willi has any objections to
the license, I would kindly request that he/she quote clearly the paragraph
that is questioned, and preferably back up with references to other
discussions hpw any of this would in fact be in conflict with our
philosophies and license interpretations.

Thanks,  Dirk


>From the newmat10 manual:
-----------------------------------------------------------------------------
1.1 Conditions of use

next - skip - up - start

There are no restrictions on the use of newmat except that I take no
liability for any problems that may arise from this use.

I welcome its distribution as part of low cost CD-ROM collections.

You can use it in your commercial projects. However, if you distribute the
source, please make it clear which parts are mine and that they are available
essentially for free over the Internet.

PLEASE UNDERSTAND THAT THERE MAY STILL BE BUGS AND ERRORS. USE AT YOUR OWN
RISK. I TAKE NO RESPONSIBILITY FOR ANY ERRORS OR OMISSIONS IN THIS PACKAGE OR
FOR ANY MISFORTUNE THAT MAY BEFALL YOU OR OTHERS AS A RESULT OF ITS USE.

Please report bugs to me at robert (at) statsresearch.co.nz

When reporting a bug please tell me which C++ compiler you are using, and
what version. Also give me details of your computer. And tell me which
version of newmat (e.g. newmat03 or newmat04) you are using. Note any changes
you have made to my code. If at all possible give me a piece of code
illustrating the bug. See the problem report form.

Please do report bugs to me. 
-----------------------------------------------------------------------------

-- 
Statistics: The (futile) attempt to offer certainty about uncertainty.
         -- Roger Koenker, 'Dictionary of Received Ideas of Statistics'



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@winstonsmith.info>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #57 received at 335185@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@winstonsmith.info>
To: David Moreno Garza <damog@debian.org>
Cc: debian-legal@lists.debian.org, 335185@bugs.debian.org, hendry@iki.fi, seanius@debian.org, enrico@enricozini.org, willi@wm1.at, philippe.coval@laposte.net
Subject: Re: [Fwd: ITP: newmat -- manipulate matrices using standard operations]
Date: Wed, 26 Oct 2005 01:20:39 +0200
[Message part 1 (text/plain, inline)]
On Tue, 25 Oct 2005 14:48:14 -0500 David Moreno Garza wrote:

> Forwarding from a wnpp bug.
> 
> debian-legal is the best place for discussing this.
[...]

On Mon, 24 Oct 2005 21:53:47 -0500 Dirk Eddelbuettel wrote:

[...]
> Let me add that I had quite a few email exchanges back then with
> newmat's author. Based on the fairly regular contact I had with him,
> there is no doubt in my mind that Robert would a) welcome inclusion of
> newmat in Debian,

Good.

> and b) consider newmat to be obviously open source.

The license is too vague and unclear, but, if the author wants his
software to be DFSG-free, we (at debian-legal) can suggest an
appropriate license change.

[...]
> >From the newmat10 manual:
> ---------------------------------------------------------------------
> -------- 1.1 Conditions of use
[...]
> 
> There are no restrictions on the use of newmat except that I take no
> liability for any problems that may arise from this use.

OK, no restrictions on use.

> 
> I welcome its distribution as part of low cost CD-ROM collections.

Here it seems that permission to distribute is granted, but only as part
of low cost CD-ROM collections.
No permission to distribute via other means seems to be granted.
Non-free.

> 
> You can use it in your commercial projects.

Nothing new, since the license already stated there are no restrictions
on use.

> However, if you distribute
> the source, please make it clear which parts are mine and that they
> are available essentially for free over the Internet.

OK, do not misrepresent.

> 
> PLEASE UNDERSTAND THAT THERE MAY STILL BE BUGS AND ERRORS. USE AT YOUR
> OWN RISK. I TAKE NO RESPONSIBILITY FOR ANY ERRORS OR OMISSIONS IN THIS
> PACKAGE OR FOR ANY MISFORTUNE THAT MAY BEFALL YOU OR OTHERS AS A
> RESULT OF ITS USE.

Common desclaimer of responsibility, even if phrased in a weird manner.

> 
> Please report bugs to me at robert (at) statsresearch.co.nz
> 
> When reporting a bug please tell me which C++ compiler you are using,
> and what version. Also give me details of your computer. And tell me
> which version of newmat (e.g. newmat03 or newmat04) you are using.
> Note any changes you have made to my code. If at all possible give me
> a piece of code illustrating the bug. See the problem report form.
> 
> Please do report bugs to me.

These sentences are kind requests and do not really belong in a license.

The license ends here.

There is no explicit permission to distribute (except as part of low
cost CD-ROM collections).
There is no explicit permission to modify or distribute modified
versions.
Non-free.


If the author really meant to make his software Free, it seems that he
wanted a simple permissive non-copyleft license.
I would suggest upstream author to change the license to the Expat
(a.k.a. MIT) license: http://www.jclark.com/xml/copying.txt

This would solve all the licensing issues: newmat would become DFSG-free
and reach the goals of license simplicity and permissiveness.

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe COVAL <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #62 received at 335185@bugs.debian.org (full text, mbox):

From: Philippe COVAL <philippe.coval@laposte.net>
To: Robert Davies <robert@statsresearch.co.nz>, 335185@bugs.debian.org
Subject: Re: newmat licence
Date: Wed, 26 Oct 2005 12:28:17 +0200
[Message part 1 (text/plain, inline)]
Robert Davies wrote:

> At 09:22 a.m. 25/10/2005 +0200, you wrote:
>
>> <file://F:\EUDORA\ATTACH\newmat licence.ems <0880.0002>>newmat
>> licence.ems
>
>
> These are three possibilities.
>
> (1) I send you an email saying that distributing modified versions is OK
> provided you make it clear which bits are yours and which bits are
> mine. I
> also include this in the next version of newmat11.
>
> (2) I make a new version of newmat10 and include this in the
> documentation
> and possibly in a separate license file. I am not very keen on doing this
> since I don't want to keep updating newmat10.
>
> (3) I include one of the open source license agreements, probably the MIT
> one, as it seems the shortest one that I have found so far that meets my
> requirements. But I still don't understand exactly what the legal
> stuff means.
>
> Would option (1) be sufficient?
>
> I hope to declare version 11 as being the current version sometime
> soon, but I
> have been hoping to do this for ages so I don't really know when it
> will happen.
>
> Robert
>
>
>
>
>
>

Hi robert,

Thank you for your fast response

let me forward your response to 335185@bugs.debian.org
( you can use this email for keeping contact w/ the debian pple instead
of mine )

I Also think your Third option is the best, as suggested at
http://bugs.debian.org/335185 :

<Francesco>
If the author really meant to make his software Free, it seems that he
wanted a simple permissive non-copyleft license.
I would suggest upstream author to change the license to the Expat
(a.k.a. MIT) license: http://www.jclark.com/xml/copying.txt
</Francesco>

BTW, If you are about to repackage newmat-1.10.3 (10c) I can help with
some recomandations like those noted at http://rzr.online.fr/q/Convention

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #67 received at 335185@bugs.debian.org (full text, mbox):

From: Philippe Coval <philippe.coval@laposte.net>
To: Robert Davies <robert@statsresearch.co.nz>
Cc: 335185@bugs.debian.org
Subject: newmat licence
Date: Mon, 14 Nov 2005 14:01:13 +0100
[Message part 1 (text/plain, inline)]
Robert Davies wrote:

> Is this OK?


Let me forward this to the appropiate debian place, I am not famillar w/
copyleft issue,
Maye they'll suggest you a existing common licence that is close enough
to yours.
I'll come back to you when this is valided.

Anyway there is a candidate debian package at :
http://mentors.debian.net/debian/pool/main/n/newmat/?C=M;O=D

> Conditions of use.
>
> I place no restrictions on the use of newmat except that I take
> no liability for any problems that may arise from its use,
> distribution or other dealings with it.
>
> I welcome its distribution as part of low cost CD-ROM collections.
>
> You can use it in your commercial projects.
>
> You can make and distribute modified or merged versions. You can
> include parts of it in your own software.
>
> If you distribute modified or merged versions, please make it clear
> which parts are mine and which parts are modified.
>
> For a substantially modified version, simply note that it is, in
> part, derived from my software. A comment in the code will be
> sufficient.
>
> The software is provided "as is", without warranty of any kind.
>
> Please understand that there may still be bugs and errors. Use at
> your own risk. I take no responsibility for any errors or omissions
> in this package or for any misfortune that may befall you or others
> as a result of its use, distribution or other dealings with it.
>
>
>
>
>
>
>
>


-- 
C-x C-c
# http://RzR.online.FR/contact.htm # jid:rzr(a)jabber.org #


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <philippe.coval@laposte.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #72 received at 335185@bugs.debian.org (full text, mbox):

From: Philippe Coval <philippe.coval@laposte.net>
To: Robert Davies <robert@statsresearch.co.nz>, 335185@bugs.debian.org
Subject: upcoming newmat licence is "DFGL" free to me
Date: Sat, 04 Mar 2006 19:27:57 +0100
Hi, great news for newmat :

- newmat package is ready  at mentors.debian.net
- new "DFSG" version is going to be released if everyone agrea with the
new licence at bottom

Robert Davies wrote:

> Someone seemed to think it didn't meet the
> Debian guidelines, but I don't see how.

It's clear for me :
###
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=335185;msg=57

> I welcome its distribution as part of low cost CD-ROM collections.

Here it seems that permission to distribute is granted, but only as part
of low cost CD-ROM collections.
No permission to distribute via other means seems to be granted.
Non-free.
###


>
> I'll delete the line about CD-ROM distributions, otherwise leave it as
> it is,

Ok then then it will be "free" : free to get, and distribute

> except I have noted who "I" is.

humm, sorry what do you mean ?

> (In the old days, people would submit programs to SIMTEL80 and then
> get upset
> when they found their way on to $25 CD-ROMS of software. I wanted to make
> it clear this wasn't a problem with newmat. But this is not relevant
> now).

Ok then non restriction on distribution that's free

>
> I'll leave in the comment about commercial use as otherwise I'll get
> emails
> about whether commercial use is OK.

ok

>
> The BSD and Thai software (=MIT?) licenses are unsatisfactory as

humm I suppose this text was a sample licence used by "Thai Open Source
Software Center",
just replace this by your name

>
> (1) they allow people to distribute modified versions without saying
> they are modified.

true, unless you add a clause to those licence

> (2) they don't protect me where I am neither the author or copyright
> holder.

are you sure ? It is often mentionned in the first line : Copyright (c)
<YEAR>, <OWNER>"

> (3) I am unclear what copyright applies to the license itself.

OK I got it, you were confused by the previous sample I gave (ThaiOSSC
vs MIT)
but  http://www.opensource.org/licenses/mit-license.php is clear  (same
for BSD) see (2)

> (4) They are done by lawyers for lawyers, whereas I want something
> that users might read.

Unfortunatly not all users read licence, and you know where there is no
cop there is no law ...
Is a "custom" licence  "stronger" that a approved licence , when the
licence is actually read  ?

If I had to, I'll add that "modification notification clause" to some
approved licence

>
> As I understand it, my conditions fall into the Debian Guidelines.

Yea the distribution part was blocking , not anymore since "the low cost
CD" part is removed

>
> If you are happy with my version included below, 

I am, I am forwarding to the experts ,
wait a couple of days and check if noone complain at
http://bugs.debian.org/335185

> I'll make a new version of newmat10c

> that has these conditions in the html file and in a new file
> "copying.txt". 

please use AUTHORS  and COPYING
they will be triguerred by Scripts (as well as INSTALL README NEWS
ChangeLog )

> There
> probably won't be any other changes.

great, let me suggest to add my msvc-6 project files ( newmat.dsw ,
newmat.dsp , example.dsp )
I had to fix some namespace use (see under, my patch) to be supported by
msvc-6 , 7.1 and 8.0

> You are welcome to include your make file in the Debian version and
> use a different
> numbering system. 

Well I followed recomendations, but I think this is possible to name it
1.10.c would you prefer
(I avoided it because you also use beta name, which can not be sorted
alphabetically)

> I'll think about including a version of the make file like yours in
> newmat11. 

Please do, my patch is under the same licence as yours :
http://mentors.debian.net/debian/pool/main/n/newmat/?C=M;O=D
( take latest .diff.gz file : )

> The make files I distribute are generated automatically 

do you use a custom tool for that ?
cmake can overcome with that nightmare I allready used it

> so I need to see
> what changes I need to make to the generate program to get yours and
> to provide the same
> facilities to other compilers that I support.

maybe having a "empty" config.h included in your include.h preserve
compatibility,
(both could be merged in a single usual config.h)

>
>
> Conditions of use.
>
> I place no restrictions on the use of newmat except that I take
> no liability for any problems that may arise from its use,
> distribution or other dealings with it.

ok

> You can use it in your commercial projects.

ok

>
> You can make and distribute modified or merged versions. 

under different licence ?

> You can
> include parts of it in your own software.

should it be mentionned ? should the licence be included also ?

>
> If you distribute modified or merged versions, please make it clear
> which parts are mine and which parts are modified.

and what about copied parts ? (previous statement )

>
> For a substantially modified version, simply note that it is, in
> part, derived from my software. A comment in the code will be
> sufficient.

sounds good

>
> The software is provided "as is", without warranty of any kind.
>
> Please understand that there may still be bugs and errors. Use at
> your own risk. I (Robert Davies) take no responsibility for any errors
> or omissions in this package or for any misfortune that may befall you
> or others as a result of your use, distribution or other dealings with
> it.

ok, generally Licences dont mentions names (projects or persons), then
they can be reused

>
>
> Robert
>
thank you for your time, I know this licence stuff is a borring task..

Take care

-- 
# http://rzr.online.fr -- xmpp:rzr[a]jabber.org -- sip:rzr@ekiga.net
# Related Obsession : http://rzr.online.fr/q/MathsSoftware




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #77 received at 335185@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 335185@bugs.debian.org, tillea@rki.de
Subject: newmat is DFSG free
Date: Sat, 15 Apr 2006 01:20:44 +0200
Hi,

It took time but now Newmat Licencing issue is fixed,
I libtoolized the library, It has been tested along FSL.

Now I am looking for some sponsors to check and upload to the main archive.
( without answsers I will send a RFS )

My Lastest version is available at
http://mentors.debian.net/debian/pool/main/n/newmat/?C=M;O=D

Later



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>:
Bug#335185; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, philippe coval <philippe.coval@laposte.net>. Full text and rfc822 format available.

Message #82 received at 335185@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Philippe Coval <rzr@users.sourceforge.net>
Cc: 335185@bugs.debian.org
Subject: Re: newmat is DFSG free
Date: Sun, 16 Apr 2006 19:52:36 +0200 (CEST)
On Sat, 15 Apr 2006, Philippe Coval wrote:

> It took time but now Newmat Licencing issue is fixed,
> I libtoolized the library, It has been tested along FSL.

Fine.

> Now I am looking for some sponsors to check and upload to the main archive.
> ( without answsers I will send a RFS )

I'll probably look for it tomorrow.  Please ask me back
in case you notice no sign of upload until Wednesday.

Kind regards and thanks for your work

          Andreas.

-- 
http://fam-tille.de



Reply sent to Philippe Coval <rzr@users.sf.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philippe COVAL <philippe.coval@laposte.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 335185-close@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 335185-close@bugs.debian.org
Subject: Bug#335185: fixed in newmat 1.10.3-1
Date: Tue, 02 May 2006 07:09:41 -0700
Source: newmat
Source-Version: 1.10.3-1

We believe that the bug you reported is fixed in the latest version of
newmat, which is due to be installed in the Debian FTP archive:

libnewmat10-dev_1.10.3-1_i386.deb
  to pool/main/n/newmat/libnewmat10-dev_1.10.3-1_i386.deb
libnewmat10_1.10.3-1_i386.deb
  to pool/main/n/newmat/libnewmat10_1.10.3-1_i386.deb
newmat_1.10.3-1.diff.gz
  to pool/main/n/newmat/newmat_1.10.3-1.diff.gz
newmat_1.10.3-1.dsc
  to pool/main/n/newmat/newmat_1.10.3-1.dsc
newmat_1.10.3.orig.tar.gz
  to pool/main/n/newmat/newmat_1.10.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335185@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philippe Coval <rzr@users.sf.net> (supplier of updated newmat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  1 Apr 2006 12:08:38 +0200
Source: newmat
Binary: libnewmat10-dev libnewmat10
Architecture: source i386
Version: 1.10.3-1
Distribution: unstable
Urgency: low
Maintainer: Philippe Coval <rzr@users.sf.net>
Changed-By: Philippe Coval <rzr@users.sf.net>
Description: 
 libnewmat10 - matrix manipulations C++ library
 libnewmat10-dev - matrix manipulations C++ library
Closes: 335185
Changes: 
 newmat (1.10.3-1) unstable; urgency=low
 .
   * Initial release Closes: #335185
Files: 
 23e2887e6dd633667e54828cb9c3c1c0 655 libs optional newmat_1.10.3-1.dsc
 b0545c281d3187f2fd1e183829009455 205616 libs optional newmat_1.10.3.orig.tar.gz
 e29209f8487159e935a31c6b0b40e76e 6102 libs optional newmat_1.10.3-1.diff.gz
 7f4f80802b4bda5de6b00d12337a4121 167070 libs optional libnewmat10_1.10.3-1_i386.deb
 c8e3f17a5a8ef6a0b3709c571295a769 173746 libdevel optional libnewmat10-dev_1.10.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEQ+iWYDBbMcCf01oRAg5ZAJ4nxtAmQiObR6qep+xo9yyu6fChlQCfVl0c
OzCz9D8Ab0a+EHclTPhgesU=
=QrqK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:22:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:10:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.